nearcorr {sdpt3r} | R Documentation

## Nearest Correlation Matrix Problem

### Description

`nearcorr` creates input for sqlp to solve the nearest correlation matrix problem - given a approximate correlation matrix H, find the nearest correlation matrix X.

### Usage

    nearcorr(H)

### Arguments

`H` | A symmetric matrix

### Details

For a given approximate correlation matrix H, determines the nearest correlation matrix X. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Hnearcorr)

    out <- nearcorr(Hnearcorr)

[Package sdpt3r version 0.3 Index]